package xunji

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji"
	"wechat-api/internal/svc"
)

// swagger:route post /xunji/detail xunji GetXunji
//
// Get xunji  | 通过机构ID获取Xunji
//
// Get xunji  | 通过机构ID获取Xunji
//
// Responses:
//  200: XunjiInfoResp

func GetXunjiHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := xunji.NewGetXunjiLogic(r.Context(), svcCtx)
		resp, err := l.GetXunji()
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
